﻿#region 2009, Anytao.com

// Release : 2008/11/02                            
// Author  : Anytao, http://www.anytao.com 
// Url     : http://www.cnblogs.com/anytao/archive/2009/01/20/anytao_silverlight_01_communication_handler.html

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.SessionState;
using System.Web.Services;

namespace Anytao.SLScenario.AccessHandler.Web.Handler
{
    /// <summary>
    /// Summary description for $codebehindclassname$
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class UserHandler : IHttpHandler, IRequiresSessionState
    {
        public void ProcessRequest(HttpContext context)
        {
            string name = context.Request.QueryString["name"];
            string pwd = context.Request.QueryString["pwd"];
            string name2 = context.Request["pwd"];

            string result = ValidateUser(name, pwd);

            context.Response.ContentType = "application/x-www-form-urlencoded";

            if (string.IsNullOrEmpty(result))
            {
                context.Response.Write("Null");
            }
            else
            {
                context.Response.Write(result);
            }
        }

        private string ValidateUser(string name, string pwd)
        {
            if (name.ToLower().CompareTo("anytao") == 0 && pwd.ToLower().CompareTo("123") == 0)
            {
                return name + " is a authorized user.";
            }
            else
            {
                return name + " is invalid user.";
            }
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}
