﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Xml.Linq;
using Anytao.SLScenario.REST.Entities;

namespace Anytao.SLScenario.REST
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void btnGetAllUser_Click(object sender, RoutedEventArgs e)
        {
            string url = "http://localhost:1234/RESTService/PostService.svc/";
            WebClient wc = new WebClient();
            wc.DownloadStringCompleted += (obj, ex) =>
                {
                    if (null == ex.Error)
                    {
                        BindData(ex.Result);
                    }
                };
            wc.DownloadStringAsync(new Uri(url, UriKind.Absolute));

        }

        private void BindData(string xml)
        {

            XDocument doc = XDocument.Parse(xml);
            var users = from us in doc.Descendants("user")
                        select new User
                        {
                        };

            dg.SelectedIndex = -1;
            dg.ItemsSource = users;
 
        }
    }
}
