﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel.Web;
using System.ServiceModel.Description;
using Anytao.SLScenario.Service;

namespace Anytao.SLScenario.SelfHost
{
    class Program
    {
        static void Main(string[] args)
        {
            string baseUri = "http://localhost:5003/PostService";
            WebServiceHost sh = new WebServiceHost(typeof(PostService),
                                                new Uri(baseUri));

            sh.Opened += (s1,s2) =>
                {
                    Console.WriteLine("Service begin to listen via {0}", baseUri);
                };

            sh.Open();
            Console.ReadLine();
        }
    }
}
